Skip to main content
GET
Retrieve vector store

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vector_store_id
string
required

The ID of the vector store.

Example:

"vs_abc123"

file_id
string
required

The ID of the file within the vector store.

Example:

"file-abc123"

Response

200 - application/json

OK

Represents the parsed content of a vector store file.

object
enum<string>
required

The object type, which is always vector_store.file_content.page

Available options:
vector_store.file_content.page
data
object[]
required

Parsed content of the file.

has_more
boolean
required

Indicates if there are more content pages to fetch.

next_page
string | null
required

The token for the next page, if any.